Bug 183564 - mount problem with vfat with ANY iocharset....
mount problem with vfat with ANY iocharset....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting bzcl34nup
:
: 189459 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 19:33 EST by Michail V.
Modified: 2008-05-06 11:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michail V. 2006-03-01 19:33:09 EST
Description of problem:
in FC4 there wasn't that problem, in FC5test3 kernels there is a problem
with mounting greek partitions of vfat structure. I use the following
command to mount a vfat partition with greek filenames in it:

mount /dev/hda6 /mnt/win_e -t vfat -o iocharset=iso8859-7,codepage=737

but all the greek filenames are being appeared not understanding and I can't
create directories or filenames with greek characters. In my system's partition
ext3 I can use greek characters for filenames and directories and
I can see perfectly the greek filenames in my ntfs partition (I have compiled
and used the ntfs driver from http://www.linux-ntfs.org/content/view/157/83/)
by using the following command:

mount /dev/hda1 /mnt/win_c -t ntfs -o nls=iso8859-7



Version-Release number of selected component (if applicable):
util-linux-2.13-0.16

How reproducible:
mount /dev/hda6 /mnt/win_e -t vfat -o iocharset=iso8859-7,codepage=737

Steps to Reproduce:
1.
2.
3.
  
Actual results:
cannot be created greek filenames or directories, greek characters
are not appeared understandable...

Expected results:


Additional info:
Comment 1 Michail V. 2006-03-08 18:39:55 EST
I just installed kernel 2.6.15-1.2032_FC5smp and the problem
remains....

Dont we have any news about it?


michail
Comment 2 Walery Studennikov 2006-03-25 08:02:31 EST
A confirm this problem.

When mounting vfat filesystem with ANY iocharset, all non-ascii symbols appears
in UTF8, but not in character set specified in iocharset option.
Comment 3 Pavel Brenev 2006-03-28 03:19:04 EST
A confirm this problem.

# uname -a
Linux brenev.office 2.6.16-1.2078_FC5smp

Problem still exist.
Same on cifs shares, when non UTF8 locale used.
Comment 4 Kurt Swanson 2006-06-01 00:24:47 EDT
This is still an issue, even with kernel-smp-2.6.16-1.2122_FC5 and
util-linux-2.13-0.20.1.  This occurs even with ISO-8859-1.

Under Fedora Core 4, I used to use the command:

  mount /dev/sdb1 /media/H300 -o rw,shortname=winnt,iocharset=iso8859-1

on a vfat partition without problems.  However this no longer works with Core 5.
As described above, all non-ascii shows as two characters UTF8.

To reproduce:

1. Use WindowsXP to put file with accented character in name onto a USB drive
2. mount as per above
3. ls mount-point

Actual results:

ls shows filename with accented character replaced with two other characters
(the UTF8 representation of the character)

Expected results:

ls shows correct filename

P.S.  It's been three months now, and no response from anyone on the "Kernel
Maintainer List".  Suggest owner or reporter increases severity level.
Comment 5 Kurt Swanson 2006-07-06 21:01:56 EDT
Apparently it was decided that all VFAT partitions SHALL be UTF8, unless
explicitly told otherwise, via an undocumented option.  For a work-around, mount
your VFAT partitions with an additional, undocumented option: utf8=0

See bug 181963

Note that other distros, like Ubuntu, do not have this hard-coded kernel bug.
Comment 6 Dawid Gajownik 2006-07-13 08:32:10 EDT
(In reply to comment #5)
> For a work-around, mount
> your VFAT partitions with an additional, undocumented option: utf8=0

My post is a bit off-topic but this option is documented in
/usr/share/doc/kernel-doc-2.6.17/Documentation/filesystems/vfat.txt (kernel-doc
package)
Comment 7 Dawid Gajownik 2006-07-13 08:38:04 EDT
*** Bug 189459 has been marked as a duplicate of this bug. ***
Comment 8 Dave Jones 2006-10-16 15:21:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Walery Studennikov 2006-11-02 06:05:30 EST
The problem still exists.
Please, change status of the bug from NEEDINFO.
Comment 10 Alan Cox 2006-11-20 17:59:38 EST
What locale are you using ? (ie LC_ALL = ?)
Comment 11 Walery Studennikov 2006-11-21 03:04:30 EST
ru_RU.koi8r
Comment 12 petrosyan 2008-03-10 20:58:22 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 13 Jon Stanley 2008-03-31 14:31:17 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 14 Bug Zapper 2008-04-03 22:09:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2008-05-06 11:34:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.